Summary: Free ODBC library.
Name: iodbc
Version: 2.12
Release: 1
Copyright: distributable
Group: Utilities/Text
Source0: http://www.cpan.org/authors/id/TIMB/DBD-ODBC-0.20.tar.gz
Patch0: DBD-ODBC.linux.patch
BuildRoot: /var/tmp/iodbc

%changelog
* Wed Jun 02 1999 David Summers <david@summersoft.fay.ar.us>
- First build

%description
Provides access to ODBC.

%prep
%setup -n DBD-ODBC-0.20
cd iodbcsrc
rm -rf *.h
tar xvzf odbc_src.tar.gz

%patch0 -p2

%build
cd iodbcsrc
./build linux-elf
mv $HOME/iodbc-2.12.so .

%install
cd iodbcsrc
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/iodbc
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include/iodbc
cp iodbc-2.12.so $RPM_BUILD_ROOT/usr/iodbc
cp iodbc.h $RPM_BUILD_ROOT/usr/iodbc
cp isqlext.h $RPM_BUILD_ROOT/usr/iodbc
cp isql.h $RPM_BUILD_ROOT/usr/iodbc
chmod a+r $RPM_BUILD_ROOT/usr/iodbc/*

(cd $RPM_BUILD_ROOT/usr/lib; ln -s /usr/iodbc/iodbc-2.12.so iodbc-2.12.so)
#(cd $RPM_BUILD_ROOT/usr/include/iodbc; ln -s /usr/iodbc/dlf.h)
#(cd $RPM_BUILD_ROOT/usr/include/iodbc; ln -s /usr/iodbc/dlproc.h)
#(cd $RPM_BUILD_ROOT/usr/include/iodbc; ln -s /usr/iodbc/hdbc.h)
#(cd $RPM_BUILD_ROOT/usr/include/iodbc; ln -s /usr/iodbc/henv.h)
#(cd $RPM_BUILD_ROOT/usr/include/iodbc; ln -s /usr/iodbc/herr.h)
#(cd $RPM_BUILD_ROOT/usr/include/iodbc; ln -s /usr/iodbc/hstmt.h)
(cd $RPM_BUILD_ROOT/usr/include/iodbc; ln -s /usr/iodbc/iodbc.h)
(cd $RPM_BUILD_ROOT/usr/include/iodbc; ln -s /usr/iodbc/isql.h)
(cd $RPM_BUILD_ROOT/usr/include/iodbc; ln -s /usr/iodbc/isqlext.h)
#(cd $RPM_BUILD_ROOT/usr/include/iodbc; ln -s /usr/iodbc/itrace.h)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc iodbcsrc/Changes.log iodbcsrc/IAFA-PACKAGE iodbcsrc/README
/usr/iodbc
/usr/lib/*
/usr/include/iodbc
